Bug 207269 - [ta_IN] - Some conjunct characters not appearing with proper shape - Priority - B
[ta_IN] - Some conjunct characters not appearing with proper shape - Priority...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n, Reopened
Depends On:
Blocks: 217341
  Show dependency treegraph
 
Reported: 2006-09-20 06:38 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 05:41:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified font file to solve this bug (63.10 KB, application/x-font-ttf)
2006-12-06 02:20 EST, Parag Nemade
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-20 06:38:43 EDT
Description of problem:
Some conjuncts like gsub and gpos in ta_IN locale are not appearing with its
right shape. All these conjuncts is combining with the consonant U+0BB6, for
which the glyph itself is missing, thatswhy any char combine with 0BB6 is not
showing proper shape to form the conjuncts - gsub or gpos.
Those lists are given below :

gsub : U+0BB6 U+0BBF
gpos : U+0BB6 U+0BC0

Version-Release number of selected component (if applicable):
fonts-tamil-2.0.2-1
pango-1.14.4-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given in the 1st comment but without 'U' and 
   '+'.
5. Observe the result.
  
Actual results:
shape of the conjuncts are showing wrong

Expected results:
Shape should be properly showing

Additional info:
Comment 2 Parag Nemade 2006-12-06 02:20:38 EST
Created attachment 142925 [details]
Modified font file to solve this bug
Comment 3 Parag Nemade 2006-12-06 05:40:45 EST
Kindly test fix against fonts-indic-2.0.10 package

Note You need to log in before you can comment on or make changes to this bug.